> For the complete documentation index, see [llms.txt](https://docs.rierino.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rierino.com/design/user-interface/uis/extended-scope/conditional-display.md).

# Conditional Display

It is possible to display / hide widgets, menus or tabs using conditions based on current record's data.

Both UI tabs and widgets can be set to display themselves only when certain conditions are met, using one the following condition setting alternatives:

## Value Match

Used for simple use cases where contents are displayed based on value of a different widget.

| Field  | Description                      | Example     |
| ------ | -------------------------------- | ----------- |
| path   | JSON path of current record data | data.status |
| values | List of values allowing display  | \["A", "D"] |

## Pattern Calculation

Used for sophisticated conditions where calculations are required based on multiple elements.

| Field   | Description                               | Example                         |
| ------- | ----------------------------------------- | ------------------------------- |
| pattern | Evaluation pattern on current record data | =(data.price-data.salesPrice)>0 |

Evaluation pattern can be one of the following:

| Type          | Description                                | Example                         |
| ------------- | ------------------------------------------ | ------------------------------- |
| ==\[CONSTANT] | Constant value                             | ==true                          |
| =\[JMES]      | JMESPath expression on current record data | =(data.price-data.salesPrice)>0 |
| Other         | JSON path of current record data           | data.isActive                   |

## Complex Condition

Used for applying AND / OR logic on multiple conditions.

| Field      | Description                                     | Example                                      |
| ---------- | ----------------------------------------------- | -------------------------------------------- |
| operator   | Condition type                                  | AND                                          |
| statements | List of statements to combine with the operator | \[{"path": "data.status", "values": \["A"]}] |

{% hint style="info" %}
For the widget menus, widget's own data is passed as the current record.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rierino.com/design/user-interface/uis/extended-scope/conditional-display.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
